Bug 1592057 - /usr/bin/verilator permissions wrong
Summary: /usr/bin/verilator permissions wrong
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: verilator
Version: 30
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Scott Tsai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1654523 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-16 15:16 UTC by Daniel Kelley
Modified: 2019-05-12 10:40 UTC (History)
5 users (show)

Fixed In Version: verilator-3.922-5.fc30 verilator-3.922-5.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-12 01:22:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniel Kelley 2018-06-16 15:16:15 UTC
Description of problem:

/usr/bin/verilator permissions did not have executable bits set:

$ ls -l /usr/bin/verilator
-rw-r--r--. 1 root root 162712 Mar 18 10:03 /usr/bin/verilator


Version-Release number of selected component (if applicable):

verilator-3.922-1.fc28.x86_64

How reproducible:

Easily by inspection

Steps to Reproduce:
1. ls -l /usr/bin/verilator


Actual results:
-rw-r--r--. 1 root root 162712 Mar 18 10:03 /usr/bin/verilator


Expected results:
-rwxr-xr-x. 1 root root 162712 Mar 18 10:03 /usr/bin/verilator


Additional info:

Double checked by removing and reinstalling the package - permissions still wrong.

Comment 1 Marcus Müller 2018-12-10 17:41:22 UTC
I've open PR 1 (https://src.fedoraproject.org/dashboard/projects) via pagure, which fixes this.

Comment 2 Marcus Müller 2018-12-11 15:31:30 UTC
Actual link: https://src.fedoraproject.org/rpms/verilator/pull-request/1

Comment 3 Klaus Pedersen 2019-01-05 04:58:20 UTC
This seem to work as intended.

@Scott Tsai : Any chance to have it pushed?

@Marcus : Just noticed that there seem an identical copy of examples/ inside itself:
 /usr/share/doc/verilator/examples/examples/hello_world_c/Makefile
 /usr/share/doc/verilator/examples/hello_world_c/Makefile

Comment 4 bztdlinux 2019-02-28 01:35:03 UTC
*** Bug 1654523 has been marked as a duplicate of this bug. ***

Comment 5 Ben Cotton 2019-05-02 19:41:07 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora Update System 2019-05-03 16:59:29 UTC
verilator-3.922-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-90cd92e233

Comment 7 Fedora Update System 2019-05-03 17:01:04 UTC
verilator-3.922-5.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae8176634c

Comment 8 Fedora Update System 2019-05-04 01:57:56 UTC
verilator-3.922-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae8176634c

Comment 9 Fedora Update System 2019-05-04 02:58:31 UTC
verilator-3.922-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-90cd92e233

Comment 10 Fedora Update System 2019-05-12 01:22:02 UTC
verilator-3.922-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-05-12 10:40:02 UTC
verilator-3.922-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.